package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.StWaterConsumerConsumption;
import com.lightinit.hsdatashow.entity.StWaterConsumerConsumptionExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface StWaterConsumerConsumptionMapper {
    long countByExample(StWaterConsumerConsumptionExample example);

    int deleteByExample(StWaterConsumerConsumptionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(StWaterConsumerConsumption record);

    int insertSelective(StWaterConsumerConsumption record);

    List<StWaterConsumerConsumption> selectByExample(StWaterConsumerConsumptionExample example);

    StWaterConsumerConsumption selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") StWaterConsumerConsumption record, @Param("example") StWaterConsumerConsumptionExample example);

    int updateByExample(@Param("record") StWaterConsumerConsumption record, @Param("example") StWaterConsumerConsumptionExample example);

    int updateByPrimaryKeySelective(StWaterConsumerConsumption record);

    int updateByPrimaryKey(StWaterConsumerConsumption record);
}